petsc-3.4.2 2013-07-02

# KSPMonitorAMS

monitor solution using AMS

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorAMS(KSP ksp,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| ctx | - PetscViewer of type AMS

### Keywords

KSP, CG, monitor, AMS, singular values

### See Also

KSPMonitorSingularValue(), KSPComputeExtremeSingularValues(), PetscViewerAMSOpen()

Level:advanced
Location:src/ksp/ksp/interface/ams/kspams.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages